Crea una tarea de descarga

Una solicitud de sdfdownloadtasks.create crea una operación de larga duración. Esta operación genera los archivos de datos estructurados (SDF).

Los campos de solicitud definen tus SDF:

  • partnerId o advertiserId: Limita el contenido de los SDF al contexto del socio o anunciante determinado. Solo se puede establecer uno de los campos.
  • version: Define la versión de SDF que se usará. Si no se establece, se usa el parámetro de configuración del socio o del anunciante de forma predeterminada.
  • parentEntityFilter, idFilter o inventorySourceFilter: Define el contenido de los SDF. Solo se puede establecer uno de los campos.

A continuación, te mostramos cómo crear una tarea de descarga que genere archivos SDF de pedidos de inserción y líneas de pedido para campañas determinadas:

Java

// Provide the ID of the parent advertiser of the resources to retrieve.
long advertiserId = advertiser-id;

// Provide the Structured Data Files version to download.
String sdfVersion = sdf-version;

// Provide the IDs of the parent campaigns of the resources to retrieve.
List<Long> campaignIds = campaign-ids;

// Create the filter structure.
ParentEntityFilter parentEntityFilter =
    new ParentEntityFilter()
        .setFileType(Arrays.asList("FILE_TYPE_INSERTION_ORDER", "FILE_TYPE_LINE_ITEM"))
        .setFilterType("FILTER_TYPE_CAMPAIGN_ID")
        .setFilterIds(campaignIds);

// Configure and create the SDF download task.
Operation operation =
    service
        .sdfdownloadtasks()
        .create(
            new CreateSdfDownloadTaskRequest()
                .setVersion(sdfVersion)
                .setAdvertiserId(advertiserId)
                .setParentEntityFilter(parentEntityFilter))
        .execute();

// Print the resulting operation name.
System.out.printf("Operation %s was created.", operation.getName());

Python

# Provide the ID of the parent advertiser of the resources to retrieve.
advertiser_id = advertiser-id

# Provide the Structured Data Files version to download.
sdf_version = sdf-version

# Provide the IDs of the parent campaigns of the resources to retrieve.
campaign_ids = campaign-ids

# Create the request body.
body = {
    "version": sdf_version,
    "advertiserId": advertiser_id,
    "parentEntityFilter": {
        "fileType": ["FILE_TYPE_INSERTION_ORDER", "FILE_TYPE_LINE_ITEM"],
        "filterType": "FILTER_TYPE_CAMPAIGN_ID",
        "filterIds": campaign_ids,
    },
}

# Create the operation.
operation = service.sdfdownloadtasks().create(body=body).execute()

# Print resulting operation name.
print(f'Operation {operation["name"]} was created.')

PHP

// Provide the ID of the parent advertiser of the resources to retrieve.
$advertiserId = advertiser-id;

// Provide the Structured Data Files version to download.
$sdfVersion = sdf-version;

// Provide the IDs of the parent campaigns of the resources to retrieve.
$campaignIds = campaign-ids;

// Create the filter structure.
$filter = new Google_Service_DisplayVideo_ParentEntityFilter();
$filter->setFileType(array('FILE_TYPE_INSERTION_ORDER','FILE_TYPE_LINE_ITEM'));
$filter->setFilterType('FILTER_TYPE_CAMPAIGN_ID');
$filter->setFilterIds($campaignIds);

// Configure and create the SDF download task.
$createDownloadRequest = new Google_Service_DisplayVideo_CreateSdfDownloadTaskRequest();
$createDownloadRequest->setVersion($sdfVersion);
$createDownloadRequest->setAdvertiserId($advertiserId);
$createDownloadRequest->setParentEntityFilter($filter);

// Call the API, creating the SDF Download Task.
$operation = $this->service->sdfdownloadtasks->create(
    $createDownloadRequest
);

// Print the resulting operation name.
printf('<p>Operation %s was created.</p>', $operation['name']);